Loading...
Searching...
No Matches
L4::Ipc_svr::Default_loop_hooks Struct Reference
The L4Re IPC Framework » Server-Side IPC framework

Default LOOP_HOOKS. More...

`#include <ipc_server_loop>`

Inheritance diagram for L4::Ipc_svr::Default_loop_hooks:
Collaboration diagram for L4::Ipc_svr::Default_loop_hooks:

## Additional Inherited Members

Public Types inherited from L4::Ipc_svr::Server_iface
typedef L4::Type_info::Demand | Demand
| Data type expressing server-side demand for receive buffers.
Public Member Functions inherited from L4::Ipc_svr::Br_manager_no_buffers
int | alloc_buffer_demand (Demand const &demand) override
| Tells the server to allocate buffers for the given demand.
L4::Cap< void > | get_rcv_cap (int) const override
| Returns L4::Cap<void>::Invalid, we have no buffer management.
int | realloc_rcv_cap (int) override
| Returns -L4_ENOMEM, we have no buffer management.
int | add_timeout (Timeout *, l4_kernel_clock_t) override
| Returns -L4_ENOSYS, we have no timeout queue.
int | remove_timeout (Timeout *) override
| Returns -L4_ENOSYS, we have no timeout queue.
Public Member Functions inherited from L4::Ipc_svr::Server_iface
| Server_iface ()
| Make a server interface.
template<typename T>
L4::Cap< T > | rcv_cap (int index) const
| Get given receive buffer as typed capability.
L4::Cap< void > | rcv_cap (int index) const
| Get receive cap with the given index as generic (void) type.
Protected Member Functions inherited from L4::Ipc_svr::Br_manager_no_buffers
unsigned | first_free_br () const
| Returns 1 as first free buffer.
void | setup_wait (l4_utcb_t *utcb, L4::Ipc_svr::Reply_mode)
| Setup wait function for the server loop (Server<>).

## Detailed Description

Default LOOP_HOOKS.

Combination of Ignore_errors, Default_timeout, Compound_reply, and Br_manager_no_buffers.

Definition at line 285 of file ipc_server_loop.

The documentation for this struct was generated from the following file:

- l4/sys/cxx/ipc_server_loop